LiferaySOAPIdentityProvider (UserManagement-ws 1.0.2-3.3.0 API)
Date: 2014-07-19

org.gcube.vomanagement.usermanagement.ws

## Class LiferaySOAPIdentityProvider

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.LiferaySOAPIdentityProvider

-     public class LiferaySOAPIdentityProvider
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferaySOAPIdentityProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<UserModelRoleListCoupleWrapper>` | `listGroupsAndRolesByUserCustomField(String userCustomFieldName, String userCustomFieldValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferaySOAPIdentityProvider

          public LiferaySOAPIdentityProvider()

  - ### Method Detail

    - #### listGroupsAndRolesByUserCustomField

          public List<UserModelRoleListCoupleWrapper> listGroupsAndRolesByUserCustomField(String userCustomFieldName,
                                                                                 String userCustomFieldValue)
                                                                                   throws org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException,
                                                                                          org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                          org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                                          org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

Copyright © 2014. All Rights Reserved.